Skip to content

insertQuote

WRITE

Create a new quote with all business logic - generates sequence, creates opportunity, resolves payment/shipping defaults from customer. LLM can create a quote with just customerId..

POST /api/v1/sales/insertQuote
curl -X POST '<your-host>/api/v1/sales/insertQuote' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "id": "string",
  "quoteId": "string"
}

Parameters

ParameterType
"Draft""Sent""Ordered""Partial""Lost""Cancelled""Expired"

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "quoteId": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "Draft",
        "Sent",
        "Ordered",
        "Partial",
        "Lost",
        "Cancelled",
        "Expired"
      ]
    },
    "currencyCode": {
      "type": "string"
    },
    "expirationDate": {
      "type": "string"
    },
    "customerContactId": {
      "type": "string"
    },
    "customerLocationId": {
      "type": "string"
    },
    "customerEngineeringContactId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "salesPersonId": {
      "type": "string"
    },
    "estimatorId": {
      "type": "string"
    },
    "dueDate": {
      "type": "string"
    },
    "opportunityId": {
      "type": "string"
    },
    "notes": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "customerId"
  ]
}